Get Edit Run

Retrieve the status and results of an edit run. Use this endpoint to get results for an edit run that has already completed, or to check on the status of an asynchronous edit run initiated via the [Edit File Asynchronously](https://docs.extend.ai/2025-04-21/developers/api-reference/edit-endpoints/edit-file-async) endpoint. If editing is still in progress, you'll receive a response with just the status. Once complete, you'll receive the full edited file information in the response.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier for the edit run.

Example: "edit_run_xK9mLPqRtN3vS8wF5hB2cQ"

Headers

x-extend-api-version"2025-04-21"Optional
API version to use for the request. If you do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2025-04-21/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2025-04-21/developers/authentication) for details on API key scopes.

Response

Successfully retrieved edit run
successboolean
editRunobject
warningstring
Warning message about missing API version header if applicable

Errors

401
Unauthorized Error
404
Not Found Error